--
-- YawningCombat_Quirks.lua: Yawning's Combat Timer Quirk Table.
-- Yawning (Crushridge-US)
--

--
-- YawningCombat is defined in the main file.
--

if not YawningCombat then return end

--
-- Some things do not cause the exit combat timer to reset, even though
-- the generic code thinks it does.  This is primarily caused by SPELL_AURA_APPLIED.
--
-- For now, just have a whitelist of SpellIDs that I will allow to occur and not
-- reset the timer.
--

YawningCombat.Quirks = {
	[5171] = true,	-- Slice and Dice (R1)
	[6774] = true,	-- Slice and Dice (R2)
	[52610] = true,	-- Savage Roar

	[44055] = true,	-- Tremendous Fortitude (+1750 HP)
	[55915] = true,	-- Tremendous Fortitude (+3385 HP)
	[55917] = true,	-- Tremendous Fortitude (+4355 HP)
	[67596] = true,	-- Tremendous Fortitude (+4608 HP)
};

